const ObjectHelper = {
    // Object.groupBy 只兼容chrome 117 safari 16.4以上 先自己实现一个
    groupBy(data, key) {
        let res = {};
        data.forEach(x => {
            if (res[x[key]]) {
                res[x[key]].push(x);
            }
            else {
                res[x[key]] = [x];
            }
        });
        return res;
    },
    Copy(e) {
        return new Promise((resolve, reject) => {
            try {
                let input = document.createElement("input");   // 直接构建input
                input.value = e || '';  // 设置内容
                document.body.appendChild(input);    // 添加临时实例
                input.select();   // 选择实例内容
                document.execCommand("Copy");   // 执行复制
                document.body.removeChild(input); // 删除临时实例
                resolve(e || '');
            }
            catch (error) {
                reject(error);
            }
        });
    },
    getRule(e) {
        return [{
            required: true,
            message: e,
            trigger: 'blur',
        }];
    },
}

export default ObjectHelper;